--- title: "Delete/Revoke VLAN" slug: "delete-revoke-vlan" tags: ["Reference", "IPS 10.1.10"] updated: 2026-09-23T09:38:30Z published: 2026-09-23T09:38:30Z canonical: "docs.trellix.com/delete-revoke-vlan" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Delete/Revoke VLAN This URL: 1. Revokes VLANs from sub interface if subinterface-id is mentioned 2. Deletes VLAN from interface if interface id is mentioned Multiple comma separated VLANs can be provided for this operation. ## Resource URL DELETE /sensor//interface//vlan/ ## Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | sensor_id | Sensor Id | Number | Yes | | interface_id or subinterface_id | Unique interface/subinterface ID | Number | Yes | | vlan_ids | Comma separated VLAN IDs | String | Yes | ## Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | Status | Status returned by deletion | Number | ## Example **Request** DELETE [https://%3CNSM_IP%3E/sdkapi/sensor/1001/interface/127/vlan/17,18,19](https://%3CNSM_IP%3E/sdkapi/sensor/1001/interface/127/vlan/17,18,19) **Response** ``` { "status":1 } ```   ## Error Information Following error codes are returned by this URL: | S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1106 | Invalid Sensor | | 2 | 404 | 1107 | Invalid interface or sub-Interface id | | 3 | 400 | 1158 | Non numeric VLAN id(s) provided | | 4 | 400 | 1159 | Duplicate VLAN id(s) provided | | 5 | 400 | 1161 | Out of range VLAN id(s) provided:[VLAN id list], VLAN id should be between 1 and 4094 | | 6 | 400 | 1167 | No VLAN Id available to delete/revoke | | 7 | 400 | 1168 | Invalid VLAN id(s) provided to delete/revoke | | 8 | 400 | 1169 | Cannot revoke all VLAN ids from subinterface |